<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.26
Name: Konsiliarbericht
Description: Angaben zum Konsiliarbericht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059">
   <title>Konsiliarbericht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]
Item: (Konsiliarbericht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]"
         id="d41e12083-false-d151576e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']) &gt;= 1">(Konsiliarbericht): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']) &lt;= 1">(Konsiliarbericht): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:id) &lt;= 1">(Konsiliarbericht): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Konsiliarbericht): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Konsiliarbericht): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:text) &lt;= 1">(Konsiliarbericht): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:author[not(@nullFlavor)][hl7:assignedAuthor]) &gt;= 1">(Konsiliarbericht): Element hl7:author[not(@nullFlavor)][hl7:assignedAuthor] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:author[not(@nullFlavor)][hl7:assignedAuthor]) &lt;= 1">(Konsiliarbericht): Element hl7:author[not(@nullFlavor)][hl7:assignedAuthor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]) &gt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]) &lt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &gt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &lt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]) &gt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]) &lt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]]) &gt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]]) &lt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]) &gt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]) &lt;= 1">(Konsiliarbericht): Element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']"
         id="d41e12085-false-d151705e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.26')">(Konsiliarbericht): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.26' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:id
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:id"
         id="d41e12090-false-d151719e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:title[not(@nullFlavor)]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:title[not(@nullFlavor)]"
         id="d41e12092-false-d151729e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="text()='Konsiliarbericht'">(Konsiliarbericht): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Konsiliarbericht'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:text
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:text"
         id="d41e12098-false-d151743e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]
Item: (Konsiliarbericht)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(AuthorBody): Der Wert von typeCode MUSS 'AUT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(AuthorBody): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorBody): Element hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time) &gt;= 1">(AuthorBody): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time) &lt;= 1">(AuthorBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(AuthorBody): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(AuthorBody): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:time
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:time">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id) &gt;= 1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]) &lt;= 1">(AuthorBody): Element hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(AuthorBody): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(AuthorBody): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr) &lt;= 1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]"
         id="d41e12103-false-d152086e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="string(@typeCode) = ('COMP')">(Konsiliarbericht): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]) &gt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]) &lt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d41e12110-false-d152126e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="string(@typeCode) = ('COMP')">(Konsiliarbericht): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(Konsiliarbericht): Element hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(Konsiliarbericht): Element hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (KonsilDiagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d152134e47-false-d152221e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:id) &lt;= 1">(KonsilDiagnosen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(KonsilDiagnosen): Element hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(KonsilDiagnosen): Element hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(KonsilDiagnosen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(KonsilDiagnosen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(KonsilDiagnosen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(KonsilDiagnosen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.64']]]) &gt;= 1">(KonsilDiagnosen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.64']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.64']]]) &lt;= 1">(KonsilDiagnosen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.64']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.41']
Item: (KonsilDiagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.41']"
         id="d152134e49-false-d152312e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.41')">(KonsilDiagnosen): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.41' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:id
Item: (KonsilDiagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:id"
         id="d152134e54-false-d152326e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (KonsilDiagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d152134e56-false-d152337e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="@nullFlavor or (@code='59769-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Postprocedure diagnosis Narrative')">(KonsilDiagnosen): Der Elementinhalt MUSS einer von 'code '59769-0' codeSystem '2.16.840.1.113883.6.1' displayName='Postprocedure diagnosis Narrative'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title[not(@nullFlavor)]
Item: (KonsilDiagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title[not(@nullFlavor)]"
         id="d152134e61-false-d152353e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="text()='Diagnosen (Konsilergebnis)'">(KonsilDiagnosen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Diagnosen (Konsilergebnis)'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[not(@nullFlavor)]
Item: (KonsilDiagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[not(@nullFlavor)]"
         id="d152134e67-false-d152367e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.41-2020-03-26T192629.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.64']]]
Item: (KonsilDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.41
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '59769-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4079']]]
Item: (KonsilDiagnosen)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]"
         id="d41e12117-false-d152439e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="string(@typeCode) = ('COMP')">(Konsiliarbericht): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]) &gt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]) &lt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]]"
         id="d41e12124-false-d152473e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="string(@typeCode) = ('COMP')">(Konsiliarbericht): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]) &gt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']]) &lt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.66']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]
Item: (Konsiliarbericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.26']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]"
         id="d41e12131-false-d152511e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="string(@typeCode) = ('COMP')">(Konsiliarbericht): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]) &gt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.26-2020-03-23T145059.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]) &lt;= 1">(Konsiliarbericht): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
