<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.63
Name: Dermatologisches Befundergebnis
Description: Angabe der durch den Konsiliar erhobenen Befunde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647">
   <title>Dermatologisches Befundergebnis</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]"
         id="d41e14569-false-d158468e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']) &gt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']) &lt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:id) &lt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:code[(@code = '78260-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:code[(@code = '78260-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:title) &lt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(KonsilBefundergebnisDermatologieSection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']"
         id="d41e14571-false-d158513e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilBefundergebnisDermatologieSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.63')">(KonsilBefundergebnisDermatologieSection): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.63' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:id
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:id"
         id="d41e14576-false-d158527e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilBefundergebnisDermatologieSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:code[(@code = '78260-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:code[(@code = '78260-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e14578-false-d158538e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilBefundergebnisDermatologieSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="@nullFlavor or (@code='78260-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology Diagnostic study note')">(KonsilBefundergebnisDermatologieSection): Der Elementinhalt MUSS einer von 'code '78260-7' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology Diagnostic study note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:title
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:title"
         id="d41e14583-false-d158554e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilBefundergebnisDermatologieSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="text()='Befundergebnis'">(KonsilBefundergebnisDermatologieSection): Der Elementinhalt von 'hl7:title' MUSS ''Befundergebnis'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:text[not(@nullFlavor)]
Item: (KonsilBefundergebnisDermatologieSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.63']]/hl7:text[not(@nullFlavor)]"
         id="d41e14589-false-d158568e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.63-2020-04-05T211647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilBefundergebnisDermatologieSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
