<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.70
Name: Konsil Feedback Bildqualität
Description: Konsil Feedback zur Bildqualität
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050">
   <title>Konsil Feedback Bildqualität</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]
Item: (KonsilFeedbackBildqualitaet)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]"
         id="d41e15000-false-d159655e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="string(@classCode) = ('OBS')">(KonsilFeedbackBildqualitaet): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="string(@moodCode) = ('EVN')">(KonsilFeedbackBildqualitaet): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']) &gt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']) &lt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="count(hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &gt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="count(hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &lt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']"
         id="d41e15006-false-d159705e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.70')">(KonsilFeedbackBildqualitaet): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.70' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:id
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:id"
         id="d41e15011-false-d159719e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]"
         id="d41e15013-false-d159730e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="@nullFlavor or (@code='BILDQUALITAET' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.11' and @displayName='Bildqualität')">(KonsilFeedbackBildqualitaet): Der Elementinhalt MUSS einer von 'code 'BILDQUALITAET' codeSystem '2.16.840.1.113883.3.1937.777.26.5.11' displayName='Bildqualität'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d41e15019-false-d159749e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.70-2020-04-06T154050.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KonsilFeedbackBildqualitaet): Der Elementinhalt MUSS einer von '2.16.840.1.113883.3.1937.777.26.11.6 Konsil Bewertung Angabe (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
