<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.73
Name: Dermatologisches Konsil Feedback Konsiliar
Description: Feedback des Konsilars zum dermatologischen Konsill
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437">
   <title>Dermatologisches Konsil Feedback Konsiliar</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]
Item: (FeedbackKonsiliarDermatologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]"
         id="d41e15170-false-d160066e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:id) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:text) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:text) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']"
         id="d41e15172-false-d160136e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.73')">(FeedbackKonsiliarDermatologie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.73' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:id
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:id"
         id="d41e15177-false-d160150e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e15179-false-d160161e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="@nullFlavor or (@code='74466-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Feedback to user')">(FeedbackKonsiliarDermatologie): Der Elementinhalt MUSS einer von 'code '74466-4' codeSystem '2.16.840.1.113883.6.1' displayName='Feedback to user'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:title[not(@nullFlavor)]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:title[not(@nullFlavor)]"
         id="d41e15184-false-d160177e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="text()='Feedback des Konsiliars'">(FeedbackKonsiliarDermatologie): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Feedback des Konsiliars'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:text
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:text"
         id="d41e15190-false-d160191e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]]"
         id="d41e15193-false-d160205e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="string(@typeCode) = ('COMP')">(FeedbackKonsiliarDermatologie): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.70']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.73
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]]"
         id="d41e15200-false-d160235e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="string(@typeCode) = ('COMP')">(FeedbackKonsiliarDermatologie): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.73-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.71']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
