<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.83
Name: Dermatologie Grund Malignitätsverdacht
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731">
   <title>Dermatologie Grund Malignitätsverdacht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]"
         id="d41e16195-false-d167880e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="string(@classCode) = ('OBS')">(ProblemObservationReasonMalignitySuspicion): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="string(@moodCode) = ('EVN')">(ProblemObservationReasonMalignitySuspicion): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ProblemObservationReasonMalignitySuspicion): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83']) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83']) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4075']) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:templateId[@root = '1.2.276.0.76.10.4075'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4075']) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:templateId[@root = '1.2.276.0.76.10.4075'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:text) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83']
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83']"
         id="d41e16203-false-d167963e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.83')">(ProblemObservationReasonMalignitySuspicion): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.83' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:templateId[@root = '1.2.276.0.76.10.4075']
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:templateId[@root = '1.2.276.0.76.10.4075']"
         id="d41e16208-false-d167978e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="string(@root) = ('1.2.276.0.76.10.4075')">(ProblemObservationReasonMalignitySuspicion): Der Wert von root MUSS '1.2.276.0.76.10.4075' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:id
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e16216-false-d167998e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="@nullFlavor or (@code='75325-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Symptom HL7.CCDAR2')">(ProblemObservationReasonMalignitySuspicion): Der Elementinhalt MUSS einer von 'code '75325-1' codeSystem '2.16.840.1.113883.6.1' displayName='Symptom HL7.CCDAR2'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:text
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:text"
         id="d41e16221-false-d168014e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:statusCode[@code = 'completed']
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:statusCode[@code = 'completed']"
         id="d41e16223-false-d168025e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationReasonMalignitySuspicion): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:effectiveTime[hl7:low]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:effectiveTime[hl7:low]"
         id="d41e16228-false-d168038e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="count(hl7:high) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:effectiveTime[hl7:low]/hl7:low[not(@nullFlavor)]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.83
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.83'] and hl7:templateId[@root = '1.2.276.0.76.10.4075']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d41e16235-false-d168079e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.83-2020-05-29T152731.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationReasonMalignitySuspicion): Der Elementinhalt MUSS einer von '2.16.840.1.113883.3.1937.777.26.11.9 Dermatologie Grund Malignitätsverdacht (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
