<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.30
Name: Eingebettetes Dermatologisches Foto
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216">
   <title>Eingebettetes Dermatologisches Foto</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.30
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]
Item: (EingebettetesDermatologischesFotoObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]"
         id="d41e12411-false-d153429e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]) &gt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]) &lt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.30
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]
Item: (EingebettetesDermatologischesFotoObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]"
         id="d41e12435-false-d153446e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="string(@classCode) = ('OBS')">(EingebettetesDermatologischesFotoObjektEntry): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="string(@moodCode) = ('EVN')">(EingebettetesDermatologischesFotoObjektEntry): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']) &gt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']) &lt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:entryRelationship[not(@nullFlavor)]) &gt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:entryRelationship[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="count(hl7:entryRelationship[not(@nullFlavor)]) &lt;= 1">(EingebettetesDermatologischesFotoObjektEntry): Element hl7:entryRelationship[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.30
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']
Item: (EingebettetesDermatologischesFotoObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']"
         id="d41e12441-false-d153488e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesDermatologischesFotoObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.30')">(EingebettetesDermatologischesFotoObjektEntry): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.30' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.30
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]/hl7:value[not(@nullFlavor)]
Item: (EingebettetesDermatologischesFotoObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]/hl7:value[not(@nullFlavor)]"
         id="d41e12446-false-d153502e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesDermatologischesFotoObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="@mediaType">(EingebettetesDermatologischesFotoObjektEntry): Attribut @mediaType MUSS vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(EingebettetesDermatologischesFotoObjektEntry): Attribute @mediaType MUSS vom Datentyp 'st' sein  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.html"
              test="string(@representation) = ('B64')">(EingebettetesDermatologischesFotoObjektEntry): Der Wert von representation MUSS 'B64' sein. Gefunden: "<value-of select="@representation"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.30
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.30']]/hl7:entryRelationship[not(@nullFlavor)]
Item: (EingebettetesDermatologischesFotoObjektEntry)
-->
</pattern>
