<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.51
Name: Dermatologie Risikofaktor Aussentätigkeit
Description: Angabe zum Risikofaktor Aussentätigkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053">
   <title>Dermatologie Risikofaktor Aussentätigkeit</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.51
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]
Item: (RisikofaktorAussentaetigkeit)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.51
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]
Item: (RisikofaktorAussentaetigkeit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]"
         id="d41e13948-false-d156630e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="string(@classCode) = ('OBS')">(RisikofaktorAussentaetigkeit): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="string(@moodCode) = ('EVN')">(RisikofaktorAussentaetigkeit): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']) &gt;= 1">(RisikofaktorAussentaetigkeit): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']) &lt;= 1">(RisikofaktorAussentaetigkeit): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="count(hl7:code[(@code = '82763-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(RisikofaktorAussentaetigkeit): Element hl7:code[(@code = '82763-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="count(hl7:code[(@code = '82763-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(RisikofaktorAussentaetigkeit): Element hl7:code[(@code = '82763-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="count(hl7:value) &gt;= 1">(RisikofaktorAussentaetigkeit): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="count(hl7:value) &lt;= 1">(RisikofaktorAussentaetigkeit): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.51
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']
Item: (RisikofaktorAussentaetigkeit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']"
         id="d41e13954-false-d156677e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorAussentaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.51')">(RisikofaktorAussentaetigkeit): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.51' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.51
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:id
Item: (RisikofaktorAussentaetigkeit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:id"
         id="d41e13959-false-d156691e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorAussentaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.51
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:code[(@code = '82763-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (RisikofaktorAussentaetigkeit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:code[(@code = '82763-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e13961-false-d156702e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorAussentaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="@nullFlavor or (@code='82763-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Outdoor activity')">(RisikofaktorAussentaetigkeit): Der Elementinhalt MUSS einer von 'code '82763-4' codeSystem '2.16.840.1.113883.6.1' displayName='Outdoor activity'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.51
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:value
Item: (RisikofaktorAussentaetigkeit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]/hl7:value"
         id="d41e13967-false-d156718e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.51-2020-04-03T185053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorAussentaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
