<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.65
Name: Dermatologische Prognose
Description: Angabe der Prognose zur befundeten Krankheit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626">
   <title>Dermatologische Prognose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]
Item: (DermatologischePrognose)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]
Item: (DermatologischePrognose)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]"
         id="d41e14672-false-d158727e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']) &gt;= 1">(DermatologischePrognose): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']) &lt;= 1">(DermatologischePrognose): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:id) &lt;= 1">(DermatologischePrognose): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologischePrognose): Element hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischePrognose): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischePrognose): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(DermatologischePrognose): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(DermatologischePrognose): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']
Item: (DermatologischePrognose)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']"
         id="d41e14674-false-d158774e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.65')">(DermatologischePrognose): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.65' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:id
Item: (DermatologischePrognose)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:id"
         id="d41e14679-false-d158788e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologischePrognose)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e14681-false-d158799e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prognosis')">(DermatologischePrognose): Der Elementinhalt MUSS einer von 'code '75328-5' codeSystem '2.16.840.1.113883.6.1' displayName='Prognosis'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischePrognose)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:title[not(@nullFlavor)]"
         id="d41e14686-false-d158815e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="text()='Prognose'">(DermatologischePrognose): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Prognose'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:text[not(@nullFlavor)]
Item: (DermatologischePrognose)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.65']]/hl7:text[not(@nullFlavor)]"
         id="d41e14692-false-d158829e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200615T222622/tmp-2.16.840.1.113883.3.1937.777.26.10.65-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
